package com.itbaizhan.dao;

import com.itbaizhan.domain.Student;

import java.io.InputStream;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;
import java.util.Properties;

public class StudentDao {
    //查询所有学生
    public List<Student> findAll() throws Exception{
        //读取配置文件
        Properties properties = new Properties();
        InputStream is = this.getClass().getClassLoader().getResourceAsStream("db.properties");
        properties.load(is);

        String url=properties.getProperty("jdbc.url");
        String user=properties.getProperty("jdbc.user");
        String password=properties.getProperty("jdbc.password");

        //查询数据库
        Connection connection = DriverManager.getConnection(url, user, password);
        Statement statement=connection.createStatement();
        ResultSet rs = statement.executeQuery("select * from student");
        //处理结果集
        List<Student> students=new ArrayList<>();
        while (rs.next()){
            int id=rs.getInt("id");
            String name=rs.getString("name");
            String sex=rs.getString("sex");
            String address=rs.getString("address");
            Student student = new Student(id, name, sex, address);
            students.add(student);
        }
        //释放资源
        rs.close();
        statement.close();
        connection.close();

        return students;
    }
}
